@charset "UTF-8";
/* CSS Document */
/*メイン画像
---------------------------------------------------------------------------*/
.mainimg-image2-slide-zoom-in-parts * {margin: 0;padding: 0;}
.mainimg-image2-slide-zoom-in-parts {width: 100%;position: relative;}
.mainimg-image2-slide-zoom-in-parts img {display: block;width: 100%;height: 100%;}
.mainimg-image2-slide-zoom-in-parts .slide-parts {display: block;width: 100%;height: 100%;}
.mainimg-image2-slide-zoom-in-parts .slide-parts img {width: 100%;height: 100%;object-fit: cover;object-position: center;}

/*テキストと画像全体を囲むブロック*/
.mainimg-image2-container {
	margin: var(--content-space-l);	/*ブロックの外側にスペースを空ける。theme.cssのcontent-space-lを読み込みます。*/
	position: relative;
	overflow: hidden;
}

	/*画面幅500px以上の追加指定*/
	@media (min-width:500px) {

	.mainimg-image2-container {
		display: flex;
		align-items: center;
	}

	}/*追加指定ここまで*/


/*テキストブロック*/
.mainimg-image2-container .text-parts {
	position: absolute;
	z-index: 1;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	text-align: center;
	width: 90%;	/*499px未満画面幅でのテキストブロックの幅。お好みで。*/
	padding: 1rem;	/*ブロック内の余白。1文字分。*/
}

	/*画面幅500px以上の追加指定*/
	@media (min-width:500px) {

	.mainimg-image2-container .text-parts {
		width: auto;top: auto;left: auto;transform: none;text-align: left;padding: 0;
	}

	}/*追加指定ここまで*/


/*h2見出し*/
.mainimg-image2-container h2 {
	font-family: var(--accent-font), var(--base-font);	/*theme.cssのaccent-fontに指定したフォントを読み込む。読み込めなければbase-fontで指定したフォントを読み込む。*/
	font-weight: 500;	/*文字の太さ。100〜900で指定可能。*/
	color: var(--primary-color);	/*文字色。theme.cssのprimary-colorを読み込みます。*/
	font-size: 3vw;	/*文字サイズ。画面幅100% = 100vwです。*/
	letter-spacing: 0.1em;	/*文字間隔を少し広く*/
	margin-left: -0.1em;	/*上の数字にマイナスをつける*/
	padding: 0 2rem;	/*上下は0、左右に2文字分の余白*/
}

	/*画面幅500px以上の追加指定*/
	@media (min-width:500px) {

	.mainimg-image2-container p {
		width: 40vw;	/*幅40%。メイン画像の幅より小さくしないと重なって読みづらくなります。*/
		padding-left: 2rem;	/*テキストの左に空ける余白。２文字分。*/
	}

	}/*追加指定ここまで*/


/*メイン画像*/
.mainimg-image2-slide-zoom-in-parts {
	border-radius: 3vw;	/*角丸のサイズ。お好みで。*/
	overflow: hidden;
	aspect-ratio: 1;	/*正方形にする。画像の比率そのままがよければこの１行を削除。*/
}

	/*画面幅500px以上の追加指定*/
	@media (min-width:500px) {

	.mainimg-image2-slide-zoom-in-parts {
		margin-left: auto;	/*右によせる*/
		width: 50vw;		/*幅50%*/
	}

	}/*追加指定ここまで*/


/*３枚の画像の共通設定*/
.mainimg-image2-slide-zoom-in-parts .slide-parts {
	position: absolute;
	inset: 0;
	opacity: 0;
	transition: opacity 1s;	/*ここの1s（＝1秒）を変更すると、フェードのスピードを変更できます。１枚が表示される時間はjsで指定できます。*/
	overflow: hidden;
}

/*画像全般*/
.mainimg-image2-slide-zoom-in-parts .slide-parts img {
    width: 100%;
    height: 100%;
    object-fit: cover;			/*画像をコンテナのサイズに合わせてクリップ*/
    object-position: center;	/*画像の中心を基準に*/
	transform: scale(1);		/*開始時点での画像サイズ。100%。*/
	transform-origin: center;
	will-change: transform;
}

/*徐々に拡大*/
.mainimg-image2-slide-zoom-in-parts .slide-parts.zoom img {
	transform: scale(1.07);	/*終了時点での画像サイズ。107%。*/
}


/*現在表示されているスライドのみをクリック可能にする設定（変更不要）
---------------------------------------------------------------------------*/
.mainimg-image2-slide-zoom-in-parts .slide-parts {
	pointer-events: none; /* デフォルトでクリックを無効にする */
}

.mainimg-image2-slide-zoom-in-parts .slide-parts.active {
    pointer-events: auto; /* 表示中のスライドのみクリックを有効にする */
}


/*現在表示中（インジケーター）のボタン
---------------------------------------------------------------------------*/
/*全体*/
.mainimg-image2-slide-zoom-in-parts .slide-indicators {
    text-align: center;
	position: absolute;
	z-index: 3;
	width: 100%;
	bottom: 2vw;	/*ボタンの配置場所*/
	left: 0px;
}
/*１個あたり*/
.mainimg-image2-slide-zoom-in-parts .indicator {
    display: inline-block;
    width: 10px;
    height: 10px;
    background: #ccc;	/*未アクティブ時のボタン色*/
    border-radius: 50%;
    margin: 0 5px;
    cursor: pointer;
}
.mainimg-image2-slide-zoom-in-parts .indicator.active {
    background: #939579;	/*アクティブ時のボタン色*/
}

